AIX Java Advisory : java_jan2014_advisory.asc

This script is Copyright (C) 2014-2016 Tenable Network Security, Inc.


Synopsis :

The remote AIX host has a version of Java SDK installed that is
potentially affected by multiple vulnerabilities.

Description :

The version of Java SDK installed on the remote host is potentially
affected by the following vulnerabilities :

- Vulnerabilities in Oracle Java allow a remote attacker
to bypass security features through flaws in XML
document parsing. (CVE-2013-5878, CVE-2013-5910)

- An information disclosure flaw in Oracle Java allows a
remote attacker access to sensitive information through
a flaw in the COBRA component. (CVE-2013-5884)

- A vulnerability in Oracle Java allows a remote attacker
to conduct a denial of service attack through a flaw in
the Deployment component. (CVE-2013-5887)

- Unspecified vulnerabilities exist in Oracle Java due
to flaws in the Deployment component. (CVE-2013-5888,
CVE-2013-5898, CVE-2013-5899, CVE-2014-0375,
CVE-2014-0403, CVE-2014-0424)

- Vulnerabilities in Oracle Java allow remote code
execution through a flaw in the Deployment component.
(CVE-2013-5889, CVE-2014-0387, CVE-2014-0410,
CVE-2014-0415)

- A vulnerability in Oracle Java allows a remote attacker
to conduct a denial of service attack through a flaw in
the COBRA component. (CVE-2013-5896)

- A vulnerability in Oracle Java allows remote code
execution through a flaw in the 2D component.
(CVE-2013-5907)

- An information disclosure and security bypass flaw exist
in Oracle Java's Networking component. (CVE-2014-0368)

- A vulnerability in Oracle Java allows a remote attacker
to bypass security features through flaws in the
Serviceability component. (CVE-2014-0373)

- A vulnerability in Oracle Java allows a remote attacker
to bypass security features through flaws in the JAXP
component. (CVE-2014-0376)

- An information disclosure flaw in Oracle Java allows a
remote attacker access to information about encryption
keys through a flaw in the JSSE component.
(CVE-2014-0411)

- A vulnerability in Oracle Java allows a remote attacker
to bypass security features through flaws in the JAAS
component. (CVE-2014-0416)

- An unspecified vulnerability exists in Oracle Java due
to flaws in the 2D component. (CVE-2014-0417)

- A vulnerability in Oracle Java allows remote code
execution through a flaw in the JNDI component.
(CVE-2014-0422)

- An information disclosure and denial of service flaw
exist in Oracle Java's Beans component when XML data is
read. (CVE-2014-0423)

- A vulnerability in Oracle Java allows remote code
execution through a flaw in the COBRA component.
(CVE-2014-0428)

See also :

http://www.nessus.org/u?d6aa2211
http://www.nessus.org/u?aacaab25
http://www.nessus.org/u?70623e16
http://www.nessus.org/u?1d08dc51
http://www.nessus.org/u?4ca2561a
http://www.nessus.org/u?a624fae8
http://www.nessus.org/u?aa3fc787
http://www.ibm.com/developerworks/java/jdk/aix/service.html#levels

Solution :

Fixes are available by version and can be downloaded from the AIX
website.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.7
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : false